[![Platform](https://img.shields.io/badge/platform-linux--64%20%7C%C2%A0%20osx--64-lightgrey.svg)]()
[![Python 3.8](https://img.shields.io/badge/python-3.8-blue.svg)](https://www.python.org/downloads/release/python-380/)
[![Python 3.9](https://img.shields.io/badge/python-3.9-blue.svg)](https://www.python.org/downloads/release/python-390/)
[![Licence](https://img.shields.io/badge/licence-APLv2-blue.svg)](https://www.apache.org/licenses/LICENSE-2.0)
[![Pipeline Status](https://gricad-gitlab.univ-grenoble-alpes.fr/particle_methods/hysop/badges/master/pipeline.svg)](https://gricad-gitlab.univ-grenoble-alpes.fr/particle_methods/hysop/commits/master)
[![Docker Pulls](https://img.shields.io/docker/pulls/keckj/hysop.svg)](https://hub.docker.com/r/keckj/hysop/tags)

Basics
======
Download last hysop version:

    git clone git@gricad-gitlab.univ-grenoble-alpes.fr:particle_methods/hysop.git

build

    mkdir build
	cd build
    cmake path-to-hysop
	make -j N
	make install

N number of available mpi processes.

run in python interactive session:

    import hysop

or using command-line:

    mpirun -np 4 python yourfile.py

check examples directory for complete simulation cases.
