#!/bin/bash
set -feu -o pipefail
echo "HOST"
uname -a
echo
echo "BUILD TOOLS:"
echo $(cmake --version | head -1)
echo $(make --version | head -1)
echo $(gcc --version | head -1)
echo $(swig -version | head -2 | tail -1)
echo "f2py version $(f2py -v)"
echo
echo "PYTHON PACKAGES:"
pip list --format=columns
echo
echo "CL_INFO"
clinfo
echo
exit 0
