
from hysop.tools.types import check_instance
from hysop.backend.device.kernel_config import KernelConfig
from hysop.backend.device.opencl.opencl_kernel_autotuner_config import OpenClKernelAutotunerConfig

class OpenClKernelConfig(KernelConfig):

    def __init__(self, *args, **kwds):
        super(OpenClKernelConfig, self).__init__(*args, **kwds) 
        check_instance(self.autotuner_config, OpenClKernelAutotunerConfig)
    
    def default_autotuner_config(self):
        return OpenClKernelAutotunerConfig()
