
from hysop.tools.decorators  import debug
from hysop.operator.directional.directional import DirectionalOperatorBase
from hysop.backend.device.opencl.opencl_operator import OpenClOperator, op_apply

class OpenClDirectionalOperator(DirectionalOperatorBase, OpenClOperator):
    """
    Directional operator in a given direction, OpenCl version.

    OpenCL kernels are build once per dimension in order to handle
    directional splitting with resolution non uniform in directions.

    Field requirements are set such that the current direction will
    be contiguous in memory.
    """
