
from hysop import hprint
from hysop.backend.hardware.pci_ids import PCIIds
from hysop.backend.hardware.hwinfo import Topology

from hysop.core.mpi import shm_rank, shm_size

# Parse all PCI vendors and device data
hprint('*Detecting hardware and software environment...')
hprint('*Parsing pci database...')
pciids = PCIIds()

# Use lstopo xml output (hwinfo) to get local hardware topology
hprint('*Parsing hardware topology...')
topology = Topology.parse(pciids)
