#!/bin/bash
# Example of I/O post processing script.
# Input arguments are:
#    OP_NAME
#    ACTUAL_FILEPATH  DISK_FILEPATH
#    XMF_FILE  HDF5_FILE
#    IS_TMP  ITERATION  TIME
# See example hysop/examples/example_utils.py interface and '--dump-postprocess' argument.

set -e
if [ "$#" -ne 8 ]; then 
    echo "Script expected 8 parameters."
    exit 1
fi

OP_NAME=${1}
ACTUAL_FILEPATH=${2}
DISK_FILEPATH=${3}
XMF_FILE=${4}
HDF5_FILE=${5}
IS_TMP=${6}
ITERATION=${7}
TIME=${8}

echo ">Successfully postprocessed dump '$OP_NAME', iteration ${ITERATION} at t=${TIME}."
exit 0
