#!/bin/bash
set -fe -o pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

if [ -z "$HYSOP_ROOT" ]; then
    HYSOP_ROOT="${SCRIPT_DIR}"
    echo "Warning: HYSOP_ROOT has not been set."
    echo "Setting HYSOP_ROOT to '${HYSOP_ROOT}'"
fi

export RUN_TESTS=false
export RUN_LONG_TESTS=false
export RUN_EXAMPLES=true
${HYSOP_ROOT}/ci/scripts/test.sh ${HYSOP_ROOT} ${HYSOP_ROOT}/hysop

exit 0
