try:
    import pyopencl as cl
    __HAS_OPENCL_BACKEND__ = True
except:
    __HAS_OPENCL_BACKEND__ = False
    
try:
    import pycuda as cuda
    __HAS_CUDA_BACKEND__ = True
except:
    __HAS_CUDA_BACKEND__ = False

__HAS_DEVICE_BACKEND__ = (__HAS_OPENCL_BACKEND__ or __HAS_CUDA_BACKEND__)
