
from hysop.tools.io_utils import IO
from hysop.backend.device.kernel_autotuner_config import KernelAutotunerConfig
from hysop.backend.device.opencl import OPENCL_KERNEL_DUMP_FOLDER

class OpenClKernelAutotunerConfig(KernelAutotunerConfig):

    def __init__(self, *args, **kwds):
        super(OpenClKernelAutotunerConfig, self).__init__(*args, **kwds) 
    
    def default_dump_folder(self):
        default_path = IO.default_path()
        return '{}/{}'.format(default_path, OPENCL_KERNEL_DUMP_FOLDER)
