#!/usr/bin/env bash
set -feu -o pipefail
PYTHON_EXECUTABLE=${PYTHON_EXECUTABLE:-python3.8}
MPIRUN_EXECUTABLE=${MPIRUN_EXECUTABLE:-mpirun}

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
TEST_FILE=${SCRIPT_DIR}/test_cartesian.py

export HYSOP_VERBOSE=0
export HYSOP_DEBUG=0
export KERNEL_DEBUG=0

for i in 2; do
     ${MPIRUN_EXECUTABLE} -np $i ${PYTHON_EXECUTABLE} ${TEST_FILE}
done
